<template>
	<div class="hint">
		<div class="hint__wrapper">
			<slot/>
		</div>
	</div>
</template>

<script>
	export default {
		name: "ui-hint"
	}
</script>

<style scope lang="scss">
	@import './../../../static/css/mixins/main';
	@import './../../../static/css/variables/main';
	
	.hint {
		width: 0;
		height: 0;
		position: relative;
		z-index: 1;
		
		&__wrapper {
			min-width: 280px;
			position: absolute;
			top: -28px;
			left: 28px;
			@media #{$tablet} {
				top: 40px;
				left: 0;
				transform: translate(-100%, 0);
			}
			@media #{$mobile} {
				top: 40px;
				left: 40px;
				transform: translate(-100%, 0);
			}
			padding: 20px;
			border-radius: 5px;
			box-shadow: 0 1px 20px 0 rgba(183, 198, 208, 0.6);
			background-color: #ffffff;
			transform: translate(0, 0);
			
			*:last-child {
				margin: 0;
			}
		}
	}
</style>
